//---------------------------------------------------------------------------
// Ein einfacher Taschenrechner mit Borland C++ Builder 6 Personal
//
//
// von Niels Nikolaisen - www.elektronik.nmp24.de
// Weitere Infos zum Borland C++ Builder 6 Personal gibt es in dem Buch
// "C++ fr Kids" von Hans-Georg Schumann
//
//
// PLUS und GETEILT sind bereits implementiert
// Wer mchte, kann MINUS und MAL selbst ergnzen (-;
//
// Es drfen aber nur Ziffern und Kommas eingegeben werden, sonst strzt
// das Programm ab! Eine entsprechende Fehlerbehandlung fehlt noch!
//---------------------------------------------------------------------------
#define MAXZAHL 999999

#include <vcl.h>
#pragma hdrstop

#include "Taschenrechner.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
         Application->MessageBox("Viel Spa beim Rechnen", "Willkommen", 64);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnPlusClick(TObject *Sender)
{
        float Zahl1, Zahl2;
        // Die Zahleneingabe liefert ist ein String, der in eine float-Zahl
        // umgewandelt werden muss:
        Zahl1 = StrToFloat(Zahl1Eingabe->Text);
        Zahl2 = StrToFloat(Zahl2Eingabe->Text);
        // Eingabe-Zahlengre beschrnken auf MAXZAHL
        if ((Zahl1>MAXZAHL)|(Zahl2>MAXZAHL))
        ErgebnisAnzeige->Text = "Eingabe zu gro!";
        else
        // Erluterung:
        // Das Ergebnis der Addition wird wieder in einen String
        // umgewandelt und folgendermaen formatiert:
        // ffNumer = mit Tausender-Separatoren
        // ffFixed = ohne Tausender-Separatoren
        // 6 Stellen vor dem Komman und 6 Stellen nach dem Komma
        ErgebnisAnzeige->Text = FloatToStrF((Zahl1+Zahl2), ffFixed, 6, 6);


}
//---------------------------------------------------------------------------

void __fastcall TForm1::Zahl1EingabeChange(TObject *Sender)
{
        // Hier mssen wir berprfen, ob wirklich nur Ziffern / Komma
        // eingegeben wurde:
        /*if ((Zahl1Eingabe->Text) == "1")
        {
        ErgebnisAnzeige->Text = "0";
        }
        else
        {
        ErgebnisAnzeige->Text = "ERROR";
        }
        */
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnClearClick(TObject *Sender)
{
        Zahl1Eingabe->Text = "0";
        Zahl2Eingabe->Text = "0";
        ErgebnisAnzeige->Text = "0";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnGeteiltClick(TObject *Sender)
{
        float Zahl1, Zahl2;
        Zahl1 = StrToFloat(Zahl1Eingabe->Text);
        Zahl2 = StrToFloat(Zahl2Eingabe->Text);
        if ((Zahl1>MAXZAHL)|(Zahl2>MAXZAHL))
                {
                ErgebnisAnzeige->Text = "Eingabe zu gro!";
                }
                else
                {
                if (Zahl2 == 0)
                ErgebnisAnzeige->Text = "Division durch Null!";
                else
                ErgebnisAnzeige->Text = FloatToStrF((Zahl1/Zahl2), ffFixed, 6, 6);
                }
}
//---------------------------------------------------------------------------

